Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.blocks
Interface DistributedQueue.Notification

All Known Implementing Classes:
  DistributedQueueDemo

Enclosing class:
  DistributedQueue

    public static interface DistributedQueue.Notification

Method Summary
`void` | `contentsCleared()`
`void` | `contentsSet(java.util.Collection new_entries)`
`void` | `entryAdd(java.lang.Object value)`
`void` | `entryRemoved(java.lang.Object key)`
`void` | `viewChange(java.util.Vector new_mbrs, java.util.Vector old_mbrs)`

Method Detail

### entryAdd

    void entryAdd(java.lang.Object value)

### entryRemoved

    void entryRemoved(java.lang.Object key)

### viewChange

    void viewChange(java.util.Vector new_mbrs,
                    java.util.Vector old_mbrs)

### contentsCleared

    void contentsCleared()

### contentsSet

    void contentsSet(java.util.Collection new_entries)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.